Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1571943 - CPU clock sensor missing in Ksysguard
Summary: CPU clock sensor missing in Ksysguard
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ksysguard
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 18:50 UTC by Knud Christiansen
Modified: 2020-06-05 18:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 15:01:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Knud Christiansen 2018-04-25 18:50:21 UTC
Description of problem:
Try to add a clock sensor in Ksysguard
Under CPU Load=> CPU 1 - 24, the clock parameter is missing
Already sesnor graphs shows nothing and in properties, sensors status shows error

Version-Release number of selected component (if applicable):
5.10.5

How reproducible:
Allways

Steps to Reproduce:
1. Try to add a Clock sensor
2.
3.

Actual results:
Clock sensor missing

Expected results:
clock sensor to add

Additional info:
Updated F28,F27, F26 shows same behavior
HW Asrock X399 board with AMD Threadripper 1920x CPU
Has worked some months ago

Another Asrock x370 board with a AMD Ryzen 1700x works ok.

cat /proc/cpuinfo shows the cpu clock correct

Comment 1 Knud Christiansen 2018-04-25 19:24:53 UTC
from a F27-KDE live USB 2017-11-02 x86_64 sensors are there.
Values are Max clock speed 3500 Mhz which due to older kernel with lacking support for Threadripper

Ksysguard version is also 5.10.5
but KDE Frameworks and Qt libs are different(shown under about ksyguard)

Not working
KDE frame 5.44.0
Qt 5.9.4

Working
KDE frame 5.38.0
Qt 5.9.1

Comment 2 Rex Dieter 2018-04-25 19:32:59 UTC
This would likely be best reported upstream @ bugs.kde.org

In the meantime, if I find time, will try to reproduce.

Comment 3 Rex Dieter 2018-04-25 19:36:10 UTC
Unsure if I'm doing this right, but I tried File->new Tab

then under Sensor Browser -> localhost -> CPU load -> CPU-1 -> Clock Frequency

dropped that in as "line graph", and it appears to be working as expected on my f27 box.

Comment 4 Knud Christiansen 2018-04-26 05:33:40 UTC
You are doing exactly correct.

At my installation/HW there is no Clock frequency to choose, it simple missing.

As explained above:
Clock graphs I have added some months ago (were it worked) shows nothing and checking properties for that graph it shows "error" in the status column.

I am convinced that the problem is related to my HW, but why ?
(is working on similiar HW)
My HW might not be so common, but 3 up to date(SW) installs F26-27-28 fails.

Is there a way I debug this matter ?

Comment 5 Ben Cotton 2019-05-02 21:54:04 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2020-04-30 22:07:32 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2020-05-26 15:01:11 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Knud Christiansen 2020-06-05 18:30:58 UTC
Checked with F32...seems to be fixed


Note You need to log in before you can comment on or make changes to this bug.